                                                                                                                                                                                                                        
<html>
<head>
<link href="../estilos/estilos.css" type="text/css" rel="stylesheet">
</head>
<script language="javascript">
	function salir() {

		parent.salir();
		
		}
</script>


	

<?php
 include ("../conexion.php");


date_default_timezone_set('America/Costa_Rica');

session_start();

 $usu=$_SESSION['username'];

		if($_SESSION['tipo_usu']=='a' or $_SESSION['tipo_usu']=='s'  or $_SESSION['tipo_usu']=='c'  or $_SESSION['tipo_usu']=='v'){
		}else{
			header('location:error.php');
		}
		if($_SESSION['tipo_usu']=='a'){
			$titulo='SUPERVISOR';
		}else{
			$titulo='USUARIO';
		}
		
		
	
       $parametros_FE = "SELECT * FROM wc_parametros_fe ";
       $result_parametros_FE = $mysqli->query($parametros_FE);
       $row__FE = $result_parametros_FE->fetch_array();
     
	   $base_url =  $row__FE["UriLocalhost"];
	   
	   
	   
	   
$consulta = "SELECT * FROM usuarios WHERE usu='$usu'";
$resultado = $mysqli->query($consulta);
$row = $resultado->fetch_array();
$nomb = $row["usu"];

$cdgusu = $row["codusu"];




$hora = date("H:i:s");
$fecha=date("Y-m-d");
$fecmen = date("Y-m-d\TH:i:sP");

$cdgmen="01"; //ACEPTADO
$cdgtipocxp="1"; //COMPRAS


	 
 ?>


<body>

<?php



error_reporting(0);

$directorio = opendir("./correos/");  
while ($archivo = readdir($directorio))  { 

	 
		$nombreArch = ucwords($archivo);     
		//$nombreArch = str_replace("..", "Selecione los archivos XML para su respectiva ACEPTACION", $nombreArch);  
		$xml="correos/".$nombreArch;
		
		$xml = simplexml_load_file($xml);
		

			$cdgclavecomp     = $xml->Clave;
			$numcomp          = $xml->NumeroConsecutivo;
			$feccomp          = $xml->FechaEmision;
			$dscnomemi        = $xml->Emisor -> Nombre;
			$numcedemi        = $xml->Emisor -> Identificacion -> Numero;
			$cedtipemi        = $xml->Emisor -> Identificacion -> Tipo;
			$dscnomrec        = $xml->Receptor -> Nombre;
			$numcedrec        = $xml->Receptor -> Identificacion ->Numero;
			$cedtiprec        = $xml->Receptor -> Identificacion ->Tipo;
		
			$feccomp          = substr($feccomp, 0,19);  
			$feccorcomp       = substr($feccomp, 0,10); 
		
			$totcomp      = $xml->ResumenFactura  -> TotalComprobante;
			$monimp       = $xml->ResumenFactura  -> TotalImpuesto;
			$totdes       = $xml->ResumenFactura  -> TotalDescuentos;
			$subtot       = $xml->ResumenFactura  -> TotalVenta;	
			$totalgravado = $xml-> ResumenFactura -> TotalGravado;
			$totalexento  = $xml-> ResumenFactura -> TotalExento;
			
       $parametros = "SELECT * FROM web_0000 ";
       $result_parametros = $mysqli->query($parametros);
       $row_para = $result_parametros->fetch_array();
     

	   $casmat =  $row_para["CASMAT"];
	   $cdgter =  $row_para["CDGTER"];
	   $cedemp =  $row_para["CEDJUR"];
	 //  $cedemp = sprintf("%012d", $cedemp); 
	   $cdgpais =  $row_para["CDGPAISEMP"];
	 //  $tipcamdol =  $row_para["tipcamdol"];
	 //  $tipmoneda =  $row_para["tipmoneda"];
	   $cdgseghac =  $row_para["cdgseghac"];
	   $nummensaje =  $row_para["nummensaje"];
	   $tarimpvta =  $row_para["tarimp"];
	   $nummensaje  =  $nummensaje + 1;
	   $nummensaje = sprintf("%010d", $nummensaje); 

		   	
		
		
		if ($result2 = $mysqli->query("SELECT cdgclavecomp , estadoComprobanteIntegracion FROM mensaje_receptor  WHERE  cdgclavecomp = '$cdgclavecomp' " )) {
		   $validamensaje = $result2->num_rows;
		   $result2->close();
		}
		
		if ( $numcedrec ==  $cedemp ){ 
			 if ($validamensaje == 0 ){  // AUN NO HABIA SIDO INSERTADO   		
			
		
					if ($xml->ResumenFactura ->CodigoTipoMoneda->CodigoMoneda<>""){ // si trae el nodo
					
					$tipmoneda = $xml->ResumenFactura ->CodigoTipoMoneda->CodigoMoneda;
					$tipcamdol = $xml->ResumenFactura ->CodigoTipoMoneda->TipoCambio;
					
			
				}
				else {
						$tipmoneda="CRC";
						$tipcamdol = 0;
						}
				
				
				

		
				
		
			$tipocomprobante = substr("$numcomp",8,2);           // Asignacion tipo comprobante 
			
			 if ($tipocomprobante == "01") {     $tipcom =  "FAC";
			}elseif ($tipocomprobante == "02") { $tipcom =  "ND";
			}elseif ($tipocomprobante == "03") { $tipcom =  "NC";
			}elseif ($tipocomprobante == "04") { $tipcom =  "FAC";
			}
			
				/*Impuestos*/
			  $IMP_I0R =  0 ;
			  $IMP_I1R =  0 ;
			  $IMP_I2R =  0 ;
			  $IMP_I4R =  0 ;
			  $IMP_I0T =  0 ;
			  $IMP_I4T =  0 ;
			  $IMP_I8T =  0 ;
			  $IMP_I13 =  0;
			  
			   /*Subtotales*/
			  $SUB_TOTAL_I0R =  0 ;
			  $SUB_TOTAL_I1R =  0 ;
			  $SUB_TOTAL_I2R =  0 ;
			  $SUB_TOTAL_I4R =  0 ;
			  $SUB_TOTAL_I0T =  0 ;
			  $SUB_TOTAL_I4T =  0 ;
			  $SUB_TOTAL_I8T =  0 ;
			  $SUB_TOTAL_I13 =  0;
			  
		  foreach($xml->DetalleServicio->LineaDetalle as $item){
		
			/*Impuestos*/
			 $I0R =  0;
			 $I1R =  0;
			 $I2R =  0;
			 $I4R =  0;
			 $I0T =  0;
			 $I4T =  0;
			 $I8T =  0;
			 $I13 =  0;
			  /*Subtotales*/
			 $SUB0R =  0;
			 $SUB1R =  0;
			 $SUB2R =  0;
			 $SUB4R =  0;
			 $SUB0T =  0;
			 $SUB4T =  0;
			 $SUB8T =  0;
			 $SUB13 =  0;
			 
		
			 if ($item->Impuesto->Monto >0){   // si el impuesto es mayor a 0
		
					
						$impuesto = $item->Impuesto->Monto;
						$cdgtar   = $item->Impuesto->CodigoTarifa;
						$SubTotal = $item->SubTotal;
					
						$impuesto = floatval($impuesto);
						$SubTotal = floatval($SubTotal);		
		
				 if ($cdgtar == "01") { $I0R =  $impuesto; $SUB0R = $SubTotal;
			}elseif ($cdgtar == "02") { $I1R =  $impuesto; $SUB1R = $SubTotal;
			}elseif ($cdgtar == "03") { $I2R =  $impuesto; $SUB2R = $SubTotal;
			}elseif ($cdgtar == "04") { $I4R =  $impuesto; $SUB4R = $SubTotal;
			}elseif ($cdgtar == "05") { $I0T =  $impuesto; $SUB0T = $SubTotal;
			}elseif ($cdgtar == "06") { $I4T =  $impuesto; $SUB4T = $SubTotal;
			}elseif ($cdgtar == "07") { $I8T =  $impuesto; $SUB8T = $SubTotal;
			}elseif ($cdgtar == "08") { $I13 =  $impuesto; $SUB13 = $SubTotal;
			}
			
			   /*Impuestos*/
			  $IMP_I0R =  $IMP_I0R + $I0R ;
			  $IMP_I1R =  $IMP_I1R + $I1R ;
			  $IMP_I2R =  $IMP_I2R + $I2R ;
			  $IMP_I4R =  $IMP_I4R + $I4R ;
			  $IMP_I0T =  $IMP_I0T + $I0T ;
			  $IMP_I4T =  $IMP_I4T + $I4T ;
			  $IMP_I8T =  $IMP_I8T + $I8T ;
			  $IMP_I13 =  $IMP_I13 + $I13 ;	 
		
				   /*Subtotales*/
			  $SUB_TOTAL_I0R =  $SUB_TOTAL_I0R + $SUB0R;
			  $SUB_TOTAL_I1R =  $SUB_TOTAL_I1R + $SUB1R;
			  $SUB_TOTAL_I2R =  $SUB_TOTAL_I2R + $SUB2R;
			  $SUB_TOTAL_I4R =  $SUB_TOTAL_I4R + $SUB4R;
			  $SUB_TOTAL_I0T =  $SUB_TOTAL_I0T + $SUB0T;
			  $SUB_TOTAL_I4T =  $SUB_TOTAL_I4T + $SUB4T;
			  $SUB_TOTAL_I8T =  $SUB_TOTAL_I8T + $SUB8T;
			  $SUB_TOTAL_I13 =  $SUB_TOTAL_I13 + $SUB13;
			  
			  } // fin $item->Impuesto->Monto >0
			  

}	// fin foreach

	  


	   if ($cdgmen==01){
	       $tipo_comprobante="05";      
		   $detmen="Aceptado";         
	      } elseif ($cdgmen=="02"){
		   $tipo_comprobante="06";
	       $detmen=strtoupper($_POST["motrec"]);   
		     } elseif ($cdgmen=="03"){
		   $tipo_comprobante="07";  
	       $detmen=strtoupper($_POST["motrec"]);  
	    				}
						
	   $feccla= date("dmy");
	   $situacion_comprobante = 1;     //   ???????????????????????????????????????????????
	   $numcompmen =  $casmat.$cdgter.$tipo_comprobante.$nummensaje ;   // factura electronica
	   //$numcomp =  $numfactura ;
	   $cdgclavemen =  $cdgpais.$feccla.$cedemp. $numcompmen.$situacion_comprobante.$cdgseghac;
	  
	    

	//************************************************ Seleción del plazo del cliente *********************************


$dscnomemi = str_replace("á","A",$dscnomemi);
$dscnomemi = str_replace("é","E",$dscnomemi);
$dscnomemi = str_replace("í","I",$dscnomemi);
$dscnomemi = str_replace("ó","O",$dscnomemi);
$dscnomemi = str_replace("ú","U",$dscnomemi);
$dscnomemi = str_replace("ñ","Ñ",$dscnomemi);
$dscnomemi = str_replace("'"," ",$dscnomemi);
 $dscnomemi=strtoupper($dscnomemi); 
	  
	   
	   
if ($monimp == " ")   { $monimp  = 0 ; } 

		$query_operacion="INSERT INTO mensaje_receptor
		(codmen, cdgclavemen, numcompmen,cdgcxp, fecmen , cdgclavecomp, numcomp, feccomp, cdgmen, detmen, monimp,
		imptr0, imptr1, imptr2, imptr4, impts0, impts4, impts8, impg13,
		subtr0, subtr1, subtr2, subtr4, subts0, subts4, subts8, subg13,
		totcomp, numcedrec, cedtiprec, dscnomemi, numcedemi , cedtipemi  ,cdgusu , totdes, subtotgra, subtotexe,
		subtotal, feccorcomp , tipcom,tipmoneda,tipcamdol)
		VALUES ('', '$cdgclavemen', '$numcompmen','$cdgtipocxp', '$fecmen', '$cdgclavecomp', '$numcomp', '$feccomp','$cdgmen','$detmen','$monimp',
		'$IMP_I0R','$IMP_I1R','$IMP_I2R','$IMP_I4R','$IMP_I0T','$IMP_I4T','$IMP_I8T','$IMP_I13',
		'$SUB_TOTAL_I0R','$SUB_TOTAL_I1R','$SUB_TOTAL_I2R','$SUB_TOTAL_I4R','$SUB_TOTAL_I0T','$SUB_TOTAL_I4T','$SUB_TOTAL_I8T','$SUB_TOTAL_I13',
		'$totcomp','$numcedrec','$cedtiprec' ,'$dscnomemi' ,  '$numcedemi' ,  '$cedtipemi', '$cdgusu' , '$totdes', '$totalgravado', '$totalexento' ,'$subtot' , '$feccorcomp' ,   '$tipcom', '$tipmoneda', '$tipcamdol' )";	
				
		$mysqli->query($query_operacion);
		$codmen= $mysqli-> insert_id ;
		
		$sel="UPDATE web_0000 SET nummensaje='$nummensaje' "; //// se suma el consecutivo a contado numfaccre
		$mysqli->query($sel);
		
	 } // FRIN validamensaje
	 
}//






}// fin del while archivo
closedir($directorio);   

?>
<script language="javascript">
alert("Mensajes aceptados");
salir() ;
</script>

<?php	
?>
</div>
</body>
</html>
